
_InitTimer1:

;test_jay.c,20 :: 		void InitTimer1(){
;test_jay.c,21 :: 		T1CON	 = 0x78;
	MOVLW       120
	MOVWF       T1CON+0 
;test_jay.c,22 :: 		TMR1IF_bit = 0;
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;test_jay.c,23 :: 		TMR1H	 = 0x34;
	MOVLW       52
	MOVWF       TMR1H+0 
;test_jay.c,24 :: 		TMR1L	 = 0xE0;
	MOVLW       224
	MOVWF       TMR1L+0 
;test_jay.c,25 :: 		TMR1IE_bit = 1;
	BSF         TMR1IE_bit+0, BitPos(TMR1IE_bit+0) 
;test_jay.c,26 :: 		INTCON = 0xC0;
	MOVLW       192
	MOVWF       INTCON+0 
;test_jay.c,27 :: 		}
L_end_InitTimer1:
	RETURN      0
; end of _InitTimer1

_Interrupt:

;test_jay.c,29 :: 		void Interrupt(){
;test_jay.c,30 :: 		if (TMR1IF_bit){
	BTFSS       TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
	GOTO        L_Interrupt0
;test_jay.c,31 :: 		TMR1IF_bit = 0;
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;test_jay.c,32 :: 		PORTB.F5 = ~PORTB.F5;
	BTG         PORTB+0, 5 
;test_jay.c,33 :: 		TMR1H = 0x34;
	MOVLW       52
	MOVWF       TMR1H+0 
;test_jay.c,34 :: 		TMR1L = 0xE0;
	MOVLW       224
	MOVWF       TMR1L+0 
;test_jay.c,37 :: 		}
L_Interrupt0:
;test_jay.c,38 :: 		}
L_end_Interrupt:
L__Interrupt5:
	RETFIE      1
; end of _Interrupt

_uart_send:

;test_jay.c,41 :: 		void uart_send()
;test_jay.c,43 :: 		UART1_Write(higherbyte);
	MOVF        _higherbyte+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;test_jay.c,44 :: 		UART1_Write(highbyte);
	MOVF        _highbyte+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;test_jay.c,45 :: 		UART1_Write(lowbyte);
	MOVF        _lowbyte+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;test_jay.c,46 :: 		}
L_end_uart_send:
	RETURN      0
; end of _uart_send

_main:

;test_jay.c,48 :: 		void main()
;test_jay.c,50 :: 		int i= 0;
;test_jay.c,53 :: 		ADCON1=0x03;       //VSS,VDD, ALL ANi are analog except for AN12
	MOVLW       3
	MOVWF       ADCON1+0 
;test_jay.c,54 :: 		ADCON2=0xAD;      //Right justified,  12TAD, 16TOSC
	MOVLW       173
	MOVWF       ADCON2+0 
;test_jay.c,55 :: 		TRISA=0xFF;       // set trisA as inputs
	MOVLW       255
	MOVWF       TRISA+0 
;test_jay.c,56 :: 		TRISE=0b1111;    // set trisE as inputs
	MOVLW       15
	MOVWF       TRISE+0 
;test_jay.c,57 :: 		TRISD=0x00;      // set trisD as ouputs
	CLRF        TRISD+0 
;test_jay.c,58 :: 		TRISC=0b10110001;
	MOVLW       177
	MOVWF       TRISC+0 
;test_jay.c,59 :: 		TRISE=0b111;
	MOVLW       7
	MOVWF       TRISE+0 
;test_jay.c,60 :: 		TRISB = 0x00;
	CLRF        TRISB+0 
;test_jay.c,61 :: 		PORTD = 0x00;
	CLRF        PORTD+0 
;test_jay.c,62 :: 		CVRCON.CVROE = 0; // disable internal voltage reference
	BCF         CVRCON+0, 6 
;test_jay.c,75 :: 		InitTimer1();
	CALL        _InitTimer1+0, 0
;test_jay.c,77 :: 		while(1)
L_main1:
;test_jay.c,125 :: 		}
	GOTO        L_main1
;test_jay.c,126 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
