#define LED1 RD1_bit        //LED1 connected to RD1
#define LED2 RD2_bit        //LED2 connected to RD2
#define LED3 RD3_bit       //LED3 connected to RD3
#define Relay RD0_bit       //Relay connected to RD0

#define Buzzer PORTD.F7      //Buzzer connected to RD7
#define BTSense RC0_bit     //assuming GPIO2 of bluetooth is connected to input pin RC0 of uC
#define VBATT RB0_bit       // Vbattery connected to RB0

unsigned long int result[7];
unsigned char lowbyte;
unsigned char highbyte;
unsigned char higherbyte   ;
unsigned long int diffan3an4;

//Timer1
//Prescaler 1:8; TMR1 Preload = 0x34E0; Actual Interrupt Time : 200 ms

//Place/Copy this part in declaration section
void InitTimer1(){
  T1CON	 = 0x78;
  TMR1IF_bit = 0;
  TMR1H	 = 0x34;
  TMR1L	 = 0xE0;
  TMR1IE_bit = 1;
  INTCON = 0xC0;
}

void Interrupt(){
  if (TMR1IF_bit){
    TMR1IF_bit = 0;
    PORTB.F5 = ~PORTB.F5;
    TMR1H = 0x34;
    TMR1L = 0xE0;
    //Enter your code here

  }
}


void uart_send()
{
         UART1_Write(higherbyte);
         UART1_Write(highbyte);
         UART1_Write(lowbyte);
}

void main()
{
 int i= 0;

/////////Initialization//////////////////
  ADCON1=0x03;       //VSS,VDD, ALL ANi are analog except for AN12
  ADCON2=0xAD;      //Right justified,  12TAD, 16TOSC
  TRISA=0xFF;       // set trisA as inputs
  TRISE=0b1111;    // set trisE as inputs
  TRISD=0x00;      // set trisD as ouputs
  TRISC=0b10110001;
  TRISE=0b111;
  TRISB = 0x00;
  PORTD = 0x00;
  CVRCON.CVROE = 0; // disable internal voltage reference
  /////Buzzer and status via Bluetooth////////
  //Buzzer = 1;
  //Delay_ms(3000);
  //Buzzer = 0;


  //UART1_Init(9600);     // Initialize hardware UART1 and establish communication at 9600 bps
  //Delay_ms(100);        // Wait for UART module to stabilize

  //PWM1_Init(5000);
  //PWM1_Set_Duty(128);

  InitTimer1();

        while(1)
        {    /*
             Delay_ms(1000);

             if(BTSense)
             {
                 LED1 = 1;
                 Relay = 1;

             }
             else if(!BTSense)
             {
                 LED1 = 0;
                 Relay = 0;
                 LED2 = 1;
             }

             for(i=0;i<7;i++)
             {
                    result[i] = ADC_Read(i);  // Read analog value from channel 0  to 6
                    if((i == 0) || ( i == 5) || (i == 6))
                    result[i] = result[i] * 4;      // Since we divided by 4 before PIC
                    if((i == 3) || ( i == 4))
                    result[i] = result[i] * 50;     // Since we divided by 50 before PIC
                    else if((i == 1) || ( i == 2))
                    result[i] = result[i];
             }

             for(i=0;i<7;i++)
             {
                   if((i == 0) || (i == 1) || (i == 2) || (i == 5) || (i == 6))
                   {
                         lowbyte = result[i] & 0x000000FF;;
                         highbyte = result[i] >> 8;
                         higherbyte = (result[i] & 0x00FF0000) >> 16;
                         uart_send();
                   }

                   if(i == 4)
                   {
                          diffan3an4 = result[i-1] - result[i];  //an3 -an4
                          lowbyte = diffan3an4 & 0x000000FF;;
                          highbyte = diffan3an4 >> 8;
                          higherbyte = (diffan3an4 & 0x00FF0000) >> 16;
                          uart_send();
                   }
             }
             */
 }
}